Subject: bug#73951: 29.4; 'what-cursor-position' reports SPC instead of TAB in term-mode

From: Toomas Rosin <[email-masked]>
Date: Mon, 04 Nov 2024 21:37:26 +0200

Eli Zaretskii <[email-masked]> wrote:

> Did you try setting indent-tabs-mode to a non-nil value?

How could I not have thought of this!  But yes, when I set `indent-tabs-mode' to `t' *before* pasting the function definition, and then run "type tawk" in terminal buffer and move point in line mode onto the tab character, `C-x =' says correctly that point is on TAB.

I had `indent-tabs-mode' set to `nil' globally in my init.el; now I see that it is a good idea to leave `indent-tabs-mode' to `t' in terminal mode.

I have no more questions.  Thank you.

T.